Package org.springframework.security.web.webauthn.api

# Class ImmutableCredentialRecord.ImmutableCredentialRecordBuilder

java.lang.Object
org.springframework.security.web.webauthn.api.ImmutableCredentialRecord.ImmutableCredentialRecordBuilder

Enclosing class:
  ImmutableCredentialRecord

public static final class ImmutableCredentialRecord.ImmutableCredentialRecordBuilder extends Object

## Method Summary

Modifier and Type
Method
Description
`ImmutableCredentialRecord.ImmutableCredentialRecordBuilder`
`attestationClientDataJSON(Bytes attestationClientDataJSON)`
`ImmutableCredentialRecord.ImmutableCredentialRecordBuilder`
`attestationObject(Bytes attestationObject)`
`ImmutableCredentialRecord.ImmutableCredentialRecordBuilder`
`backupEligible(boolean backupEligible)`
`ImmutableCredentialRecord.ImmutableCredentialRecordBuilder`
`backupState(boolean backupState)`
`ImmutableCredentialRecord`
`build()`
`ImmutableCredentialRecord.ImmutableCredentialRecordBuilder`
`created(Instant created)`
`ImmutableCredentialRecord.ImmutableCredentialRecordBuilder`
`credentialId(Bytes credentialId)`
`ImmutableCredentialRecord.ImmutableCredentialRecordBuilder`
`credentialType(PublicKeyCredentialType credentialType)`
`ImmutableCredentialRecord.ImmutableCredentialRecordBuilder`
`label(String label)`
`ImmutableCredentialRecord.ImmutableCredentialRecordBuilder`
`lastUsed(Instant lastUsed)`
`ImmutableCredentialRecord.ImmutableCredentialRecordBuilder`
`publicKey(PublicKeyCose publicKey)`
`ImmutableCredentialRecord.ImmutableCredentialRecordBuilder`
`signatureCount(long signatureCount)`
`ImmutableCredentialRecord.ImmutableCredentialRecordBuilder`
`transports(Set<AuthenticatorTransport> transports)`
`ImmutableCredentialRecord.ImmutableCredentialRecordBuilder`
`userEntityUserId(Bytes userEntityUserId)`
`ImmutableCredentialRecord.ImmutableCredentialRecordBuilder`
`uvInitialized(boolean uvInitialized)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### credentialType

public ImmutableCredentialRecord.ImmutableCredentialRecordBuilder credentialType(PublicKeyCredentialType credentialType)

### credentialId

public ImmutableCredentialRecord.ImmutableCredentialRecordBuilder credentialId(Bytes credentialId)

### userEntityUserId

public ImmutableCredentialRecord.ImmutableCredentialRecordBuilder userEntityUserId(Bytes userEntityUserId)

### publicKey

public ImmutableCredentialRecord.ImmutableCredentialRecordBuilder publicKey(PublicKeyCose publicKey)

### signatureCount

public ImmutableCredentialRecord.ImmutableCredentialRecordBuilder signatureCount(long signatureCount)

### uvInitialized

public ImmutableCredentialRecord.ImmutableCredentialRecordBuilder uvInitialized(boolean uvInitialized)

### transports

public ImmutableCredentialRecord.ImmutableCredentialRecordBuilder transports(Set<AuthenticatorTransport> transports)

### backupEligible

public ImmutableCredentialRecord.ImmutableCredentialRecordBuilder backupEligible(boolean backupEligible)

### backupState

public ImmutableCredentialRecord.ImmutableCredentialRecordBuilder backupState(boolean backupState)

### attestationObject

public ImmutableCredentialRecord.ImmutableCredentialRecordBuilder attestationObject(Bytes attestationObject)

### attestationClientDataJSON

public ImmutableCredentialRecord.ImmutableCredentialRecordBuilder attestationClientDataJSON(Bytes attestationClientDataJSON)

### created

public ImmutableCredentialRecord.ImmutableCredentialRecordBuilder created(Instant created)

### lastUsed

public ImmutableCredentialRecord.ImmutableCredentialRecordBuilder lastUsed(Instant lastUsed)

### label

public ImmutableCredentialRecord.ImmutableCredentialRecordBuilder label(String label)

### build

public ImmutableCredentialRecord build()